{------------------------------------------------------------------------------}
{ TExportStrings v3.00(c) 1998-99 Y-Tech Corporation          April 12th, 1999 }
{------------------------------------------------------------------------------}
{ TExportStrings Prints or Exports any TStrings or TStringList to 10 Formats   }
{ (including HTML, Microsoft Word & Excel) Exports to Screen or File. Can      }
{ Export even if target App is not installed. Shows Progress. Incredibly Fast. }
{ (Freeware)                                                                   }
{                                                                              }
{ If you like TExportStrings and want to be able to do the same thing with     }
{ database Tables, DBGrids, DataSets, ListViews and StringGrids, please visit  }
{ http://www.igather.com/components and download the TExportX Component Suite. }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ TExportStrings is Freeware...                                                }
{------------------------------------------------------------------------------}
{ This component works, you don't have to pay anything for it to use it in     }
{ your programs.                                                               }
{                                                                              }
{ All we ask is that if you speak another language other than English and a    }
{ good translation is not available of EC_Strings.pas on our Web Site          }
{ (http://www.igather.com/components). Then, would it be possible for you to   }
{ e-mail us a translation for your language so we can make it available to all }
{ other users? You can send it to ycomp@hotpop.com - Thanks for the help!      }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ Installation                                                                 }
{------------------------------------------------------------------------------}
{ First UnZip the files. You *MUST* make sure that WinZip (or whatever program }
{ you use) creates the subdirectories and does not unzip everything into one   }
{ folder. (ie. there should be Help, Demo and other subdirectories)            }
{                                                                              }
{ 1) Please register ExportStringsReg.pas                                      }
{                                                                              }
{ Please ensure you remove the unregistered version before installing the      }
{ registered version.                                                          }
{                                                                              }
{ Important! Since many Y-Tech Components (ie. those made by Y-Tech Corp.)     }
{ share the same units, you must put all code files (.dcu, .pas, .dfm,         }
{ .dcr, etc...) for all Y-Tech Components into the same directory. Otherwise   }
{ Delphi will not compile the library/package properly.                        }
{                                                                              }
{ If you have problems installing the components, please read the              }
{ "Troubleshooting.txt" file.                                                  }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ Important! Compatibility Issues                                              }
{------------------------------------------------------------------------------}
{ with 1.10 and earlier:                                                       }
{   + ShowProgress has been moved inside of the Options property. This         }
{     means you might get an error when loading a form that contained the      }
{     old TExportListView component (v1.10 and earlier). Just ignore it.       }
{   + All ExportTypes now have an 'x' in front. For instance HTML is now       }
{     xHTML. This was done to prevent any potential problems.                  }
{   + PopulateStrings is no longer officially supported. You can use it but    }
{     it does not incorporate new innovations that the Choose Dialog does.     }
{     It's obsolete, really.                                                   }
{                                                                              }
{     Note: To use populate strings you need to use the GetExportType function }
{           ie. ExportType := GetExportType(ListBox1.Items[ListBox1.ItemIndex])}
{               (assuming ListBox1.Items was populated with PopulateStrings()  }
{                                                                              }
{ with v2.01 and earlier:                                                      }
{   + Creating your own custom export types is temporarily unavailable         }
{     (until v3 which will be out within the month, probably within 2 weeks)   }
{     In v3 you won't have to do it the hard-way, there will be a              }
{     TCustomExport component so you just have to fill in a few events and     }
{     you've got a new export type.                                            }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ Questions & Comments                                                         }
{------------------------------------------------------------------------------}
{ All questions and comments should be sent to ycomp@hotpop.com                }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ Usage                                                                        }
{------------------------------------------------------------------------------}
{ - Always read "readme.txt"                                                   }
{ - Please look at "info.htm"                                                  }
{ - Please refer to the help file.                                             }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ Freeware License Agreement & Disclaimer                                      }
{------------------------------------------------------------------------------}
{ By use of this component, you have agreed to the following:                  }
{                                                                              }
{ You may not not distribute the source for this component, you may only       }
{ distribute the freeware with no source version. (The source zip will have    }
{ no .dcu files in it, the one with no source will have .dcu files)            }
{                                                                              }
{ Also, you may only distribute the unmodified .Zip file of the Freeware with  }
{ No Source version of this component. The .Zip file mentioned is the .Zip     }
{ file that this file you are currently reading came in. Other than that, you  }
{ are free to distribute this component.                                       }
{                                                                              }
{ Although this component has been thoroughly tested and documented, neither   }
{ Y-Tech Corporation nor any of it's employees nor the author will be held     }
{ responsible for any damage arising from it's use or misuse.                  }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ International Language Support                                               }
{------------------------------------------------------------------------------}
{ There are 2 ways of implementing support for your own language:              }
{                                                                              }
{ 1. Get the EC_Strings.pas file for your language and follow the              }
{    installation instructions that come with it. Try downloading it from the  }
{    Y-Tech Components web site (http://www.igather.com/components).           }
{                                                                              }
{ 2. Translate it yourself. (if there is no EC_Strings.pas for your language,  }
{    you must do it this way). It's simple really, just find the               }
{    EC_Strings.pas unit that came with TExportListView and translate the      }
{    strings inside. There's not that many, so it's not a big job. Then        }
{    recompile the package/component library that your component is installed  }
{    in. Finally, if you think you made a half-decent translation, please      }
{    e-mail it to Y-Tech at ycomp@hotpop.com                                   }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ TExportListView FAQ                                                          }
{------------------------------------------------------------------------------}
{ Q: When I try to use TExportListView with Delphi's Virtual ListView demo I   }
{    get an "Invalid Floating Point Operation" exception. Why don't you fix    }
{    this bug?                                                                 }
{ A: I would love to but this is not a bug with TExportListView, it's a bug    }
{    with Delphi's Virtual ListView demo in the TListView.OnData event. You    }
{    can see this bug in action for yourself without even putting              }
{    a TExportListView on the form. Here's how to replicate the bug:           }
{        1. Put a button on the form of the Virtual ListView demo.             }
{        2. Put this code in it's OnClick event handler:                       }
{                with ListView do                                              }
{                  for i := 0 to Items.Count - 1 do                            }
{                    Self.Caption := Items[i].Caption;                         }
{        3. Run the demo and go to your C:\Windows directory                   }
{           (I suggest the Windows dir because you need quite a few files for  }
{            this bug to work)                                                 }
{        4. Click the button. You should get an exception.                     }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ File Format Notes                                                            }
{------------------------------------------------------------------------------}
{ Remember... If you have problems with any Export format, you can always      }
{ disable it using the "AllowedTypes" property.                                }
{                                                                              }
{ XLS  + Microsoft Excel has a 255 char Limit for Strings and Memos.           }
{                                                                              }
{ CSV  + This format is slightly less universally compatible than Tab-Text,    }
{        DIF or SYLK since it is (believe it or not!) not always               }
{        comma-separated. It uses the Control Panel/Regional/Number/List       }
{        Separator value to determine the delimiter. Usually this is a ',' but }
{        in some countries like Germany it will be a semi-colon as ',' is used }
{        for currencies. This is is keeping with Microsoft Excel's practices.  }
{                                                                              }
{ SYLK + This format has the advantage over DIF, Tab-Text and CSV in that it   }
{        maintains the widths of the columns, so imports into programs like    }
{        Excel will look nicer. But it has one minor disadvantage:             }
{                                                                              }
{        - SYLK has a 255 char Limit for Strings and Memos.                    }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ Revision History                                                             }
{------------------------------------------------------------------------------}
{ 1.00: + Initial Release as TExportListView                                   }
{                                                                              }
{ 1.10: + Fixed various minor bugs, added Print Method!                        }
{       + Excel Code dramatically improved. A simple test with 150 ListView    }
{         entries showed an increase in speed of over 300%!                    }
{                                                                              }
{ 2.00: This is a - major - upgrade, much has been fixed, improved & added.    }
{       Here's a list:                                                         }
{                                                                              }
{       Removed & Changed Drastically:                                         }
{         + See "Compatibility Issues" Section of this file.                   }
{                                                                              }
{       Bug Fixes:                                                             }
{         + Fixed various minor bugs.                                          }
{         + Fixes bug where ExportFile property was cleared automatically      }
{           sometimes.                                                         }
{         + Fixed bug that caused App to stay on top of the Viewer Program     }
{           when exporting to some formats (like MS-Word, and Excel sometimes) }
{         + Fixed minor bug: Clipboard property used to modify the ViewOnly    }
{           property after exporting the Clipboard.                            }
{         + Fixed ProgressBar "Overspill".                                     }
{                                                                              }
{       Internationalization:                                                  }
{         + Moved all English Message Constants to the ELV_Strings unit. You   }
{           can translate the strings in that unit to your own language.       }
{           (If you do, please e-mail it to me so I can include language       }
{            strings files with future versions)                               }
{                                                                              }
{       Improvements:                                                          }
{         + Added support for Column Dragging of ListViews. Previous versions  }
{           did not support this simply because Delphi 4 does not support it   }
{           properly.                                                          }
{         + Deletes all Temporary Files when the application terminates.       }
{           (Unless they have a lock on them or are otherwise un-deleteable.   }
{         + Can now export to file even when the application is not installed. }
{         + Improved Error-Checking.                                           }
{         + Choose method now remembers the Last-Used Export Type.             }
{         + The value of the ExportType property is now used by the Choose     }
{           Dialog box the first time it is displayed in order to set the      }
{           Default Export Type.                                               }
{         + Improved Formatting. Exported Documents now look much better and   }
{           look professionally formatted in Microsoft Word & Excel.           }
{                                                                              }
{       Additions:                                                             }
{         + Added Captions property, so you can specify different captions     }
{           than in the listview's column header.                              }
{         + Added AllowedTypes property so you can specify which types the     }
{           user is allowed to export to.                                      }
{         + Added RichText Export Type.                                        }
{         + Added capability for User to select exporting to Screen or to File }
{           to the Choose Dialog. If Viewer not installed, the View button is  }
{           disabled.                                                          }
{                                                                              }
{       Added Options Property:                                                }
{         + ExportInvisibleCols: If True, all columns are exported even if     }
{           their width is 0 (invisible)                                       }
{         + SelectedRowsOnly: If True, only exports selected rows.             }
{         + NumberRows: If True, numbers each item exported.                   }
{         + ShowClipboardMsg: If True, displays a dialog after the data has    }
{           been successfully exported to clipboard informing the user that    }
{           the operation is complete.                                         }
{         + ShowProgress: ShowProgress has been moved to here.                 }
{         + TimeStamp: If True, puts a time stamp in the exported file         }
{                                                                              }
{       MS-Word Improvements:                                                  }
{         + Word Exporting is incredibly fast now. I don't think Word can get  }
{           any faster and I'm only ashamed that it was not this fast in v1    }
{           of TExportListView.                                                }
{         + All 32-bit versions of Word Supported ('95, '97 and future         }
{           versions). Word 6 (the latest 16-bit version) also supported.      }
{           Earlier versions might also work as well.                          }
{         + When Exporting to Word, output is directed to the current instance }
{           of Word (if there is one), in prior versions a New instance of     }
{           Word was always created.                                           }
{                                                                              }
{       Excel Improvements:                                                    }
{         + Even faster! This is about as fast as it gets.                     }
{         + Previous versions could have had problems with using too much      }
{           memory while exporting large TListViews. This is no longer a       }
{           problem. TExportListView v2 uses very little memory.               }
{         + Now compatible with Excel v3.0 and higher!                         }
{         + When Exporting to Excel, output is directed to the current instance}
{           of Excel (if there is one), in prior versions a New instance of    }
{           Excel was always created.                                          }
{                                                                              }
{      Other:                                                                  }
{         + In previous versions, if you compiled with Delphi 5 or later it    }
{           would be treated as Delphi 2 and you would not be taking advantage }
{           of some of the newer compiler features. This release eradicates    }
{           those problems. Which means: You shouldn't have to get new source  }
{           code if you've registered when Delphi 5 is released.               }
{                                                                              }
{ 2.01: + Fixed Bug that would not let the demo projects compile on some       }
{         computers.                                                           }
{                                                                              }
{ 2.50: Again, we've got some major changes, improvements, etc...              }
{                                                                              }
{      Bug Fixes:                                                              }
{         + Fixed Access Violation when ListView Removed from Form.            }
{         + Fixed bug that prevent exporting to Screen under NT.               }
{         + Fixed Bug: Name of GetColumnOrder function caused Compilation to   }
{           on some computers. I think those that use TExt/EnhListView.        }
{                                                                              }
{      Additions:                                                              }
{        + Added ExportAllWhenNoneSelected to the Options Property.            }
{                                                                              }
{      Improvements:                                                           }
{         + Strings in EC_Strings.pas are now resourcestrings                  }
{                                                                              }
{      Back by popular demand:                                                 }
{         + PopulateStrings has been put back for backwards compatibility.     }
{           it is now undocumenteed because it's only supposed to be there for }
{           backwards compatibility, which means new users of TExportListView  }
{           should not use the PopulateStrings method. Please Refer to the     }
{           "Compatibility" section of this file.                              }
{                                                                              }
{      The BIG Change:                                                         }
{         + Many units have been renamed, most notably ELV_Strings -> EC_Strings}
{         + The big change in this release is some internal restructuring      }
{           allowing for the TExportX family of components to come into being. }
{           Y-Tech now offers components that can export any StringGrid, DBGrid,}
{           Brad Stower's TExtListView & TEnhListView as well as any DataSet   }
{           (such as TTable, TQuery, TClientDataSet, TNestedTable, etc...)     }
{                                                                              }
{ 2.60: + Fixed Print Bug. I had simply forgotten the line of code that tells  }
{         the print method how many items to print. This bug in no way affects }
{         the export routines (ie. the Choose and Execute methods). Everything }
{         now appears to be working fine.                                      }
{       + Modified Export App Detection Code to detect corrupt registry keys   }
{         in D2/D3, before it was only done in D4.                             }
{       + Added Icon Display to Choose Dialog. Now when an export type is      }
{         chosen, the assoicated icon is displayed.                            }
{       + Single-Column Exports now look much better for Printing and the      }
{         Text and Clipboard Export Types.                                     }
{                                                                              }
{       + Added Support for Exporting Memo Fields. The next major release will }
{         allow you to put memos on a completely new row (good for those really}
{         big memos, but for now you can still export memo fields reasonably   }
{         well.                                                                }
{       + Added AllowMemos property. You can use this to specify if you want   }
{         to export memo fields. Currently there is no support for formatted   }
{         memos. If you need this let me know, however I doubt that they will  }
{         look good unless you are using unformatted text in a formatted memo. }
{       + Added MemoWidth property so you can adjust the column width of your  }
{         memos in microsoft word & rich text formats.                         }
{                                                                              }
{       + TExportX Components now distributed together as:                     }
{           1) TExportX Suite    - TExportListView, TExportEnhListView,        }
{                                  TExportExtListView, TExportStringGrid.      }
{           2) TExportX-DB Suite - TExportDBGrid, TExportTable                 }
{           3) TExportStrings [Freeware]                                       }
{                                                                              }
{ 2.61: + Fixed 'Strip' bug introduced in v2.60. Exporting a blank field could }
{         cause an exception.                                                  }
{                                                                              }
{ 2.70: Fixed:                                                                 }
{         + Fixed "nil" ListView/StringGrid/DataSet/DBGrid bug. If you erased  }
{           the ListView or StringGrid property from the object inspector and  }
{           did not assign another value to it then you would have gotten an   }
{           Access Violation.                                                  }
{                                                                              }
{       Added:                                                                 }
{         + Support added for exporting memos in DBGrids.                      }
{                                                                              }
{       Added (Applies to Delphi 4 only):                                      }
{         + Support for TColumn.Visible in DBGrids. To not export a TDBGrid    }
{           column you can either set TColumn.Visible or TField.Visible to     }
{           False. To export the column you must either set both               }
{           TColumn.Visible and TField.Visible to True or set the              }
{           ExportInvisibleCols Option.                                        }
{                                                                              }
{       New Export Formats:                                                    }
{         + Added xDIF (Data Interchange Format) Export Type.                  }
{         + Added xSYLK (Symbolic Link) Export Type. SYLK has a 255 char limit }
{           for strings so if you have any really long strings or long memos   }
{           you should disable this format. Otherwise though, SYLK is better   }
{           than DIF, Comma Delimited Text and Tab Delimited text because it   }
{           will look much nicer when imported into a spreadsheet.             }
{                                                                              }
{       New Options:                                                           }
{         + Added ExportDataOnly option. If True, it will not export column    }
{           headers to Comma-Delimated, Tab-Delimeted Text, DIF & SYLK formats.}
{           Also some future formats might support this option. It is useful   }
{           since some programs treat the first row of those file types as     }
{           data.                                                              }
{                                                                              }
{       HTML Improvements:
{         + HTML Code now much more compact. This will speed up loading time   }
{           for large exports.                                                 }
{         + Added HTML_Options property. You can now control the display of    }
{           GridLines, whether the Column Header Row is Bold and if you want   }
{           to make data containing URLs & email addresses you export          }
{           automatically linked.                                              }
{         + Added HTML_Template property so you can choose what your HTML      }
{           output will look like. 4 Templates are included, more templates    }
{           will be added in future releases.                                  }
{                                                                              }
{ 3.00: Removed:                                                               }
{         + Removed MemoWidth property. ColWidths property supercedes it and   }
{           allows you to set different widths for multiple memo fields.       }
{         + Removed AllowMemos property. You can use TField.Visible instead.   }
{         + So just ignore those "property does not exist" errors when opening }
{           your projects in the IDE.                                          }
{                                                                              }
{       Bug Fixes:                                                             }
{         + Fixed Captions Bug. If you put many, many blank lines in the       }
{           Captions property, TExportX would give a "No Columns" error dialog }
{           when trying to export.                                             }
{                                                                              }
{       Added:                                                                 }
{         + Added ColWidths property. You can now control the widths of the    }
{           columns for exports to Microsoft Word and many other formats.      }
{         + Added OnWriteFooter Event. Useful if you want to set the footer to }
{           write the number of records exported.
{         + Added TruncateSymbol property so you can add a visual cue to the   }
{           user that text has been truncated.                                 }
{         + Added DetailedMode Option and made Detailed Mode Exports easier to }
{           read. DetailedMode will active the old export formats for Text,    }
{           Clipboard and Print Formats.                                       }
{         + Added RestoreApp method was added. This method is only useful to   }
{           people who use the TApplication.OnActivate event in their          }
{           applications.                                                      }
{                                                                              }
{       TExportTable:                                                          }
{         + Now shows a "Progress Bar", as opposed to a "Progress Count" for   }
{           local tables. For queries and everything else, you still get the   }
{           "Progress Count" because showing a "Progress Bar" could be a       }
{           costly operation in those situations. If you can't get it to work, }
{           try setting your TTable.TableType to ttParadox, ttFoxPro or ttDbase}
{                                                                              }
{       TExportDBGrid:                                                         }
{         + Changed Column Titles in Export to get data from TColumn.Title     }
{           rather than TField.DisplayName as was done before.                 }
{                                                                              }
{       HTML, Microsoft Word, Rich Text, Text, Printing & Clipboard:           }
{         + TExportX will export data as it appears in the TField.DisplayText  }
{           property. This means you can control formatting of numbers and     }
{           other data using the TField.DisplayFormat property or the          }
{           TField.OnGetText Event. For all other formats, the data is         }
{           exported as the actual value in the TDataSet.                      }
{                                                                              }
{       Excel, CSV, Tab-Text, DIF & SYLK:                                      }
{         + TExportX will use the TField.DisplayText property to determine the }
{           numbers of decimal places to display. So you can control the       }
{           number of digits after the decimal place by setting the            }
{           TField.DisplayFormat or TField.OnGetText event.                    }
{                                                                              }
{       HTML, Microsoft Word & Rich Text:                                      }
{         + Fixed up formatting a bit. Mostly it that memos are formatted      }
{           better (Tabs and New Lines are handled correctly now). Also,       }
{           unnecessary control characters are stripped.                       }
{                                                                              }
{       HTML:                                                                  }
{         + Added htOddRowColoring to HTML_Options. If True, the Odd Rows will }
{           be use different colors than the even rows, producing easier to    }
{           read HTML output. This option will automatically be False in your  }
{           old projects, so make sure you set it to True.                     }
{         + All old HTML Templates have been improved and also take advantage  }
{           of the htOddRowColoring option now.                                }
{         + Added 4 new HTML Templates.                                        }
{         + Added HTML_CustomTemplate property. Now you can create your own    }
{           HTML templates!                                                    }
{                                                                              }
{       Microsoft Word & RichText:                                             }
{         + Added Word_RTF_Options that enable you to adjust the margins of    }
{           Microsoft Word and RichText Exported Documents to best fit your    }
{           Exported Data.                                                     }
{         + Microsoft Word & RichText Exports now have improved column width   }
{           formatting due to the use of the new ColWidths property.           }
{         + Fixed RichText & Microsoft Word bug. (Strings or memos containing  }
{           '\' or the Brace (can't type them here as Delphi uses them for     }
{           comments) characters could cause problems.                         }
{                                                                              }
{       Comma-Delimited Text (CSV) & SYLK:                                     }
{         + Fixed exporting for Germany and other countries that do not use    }
{           the decimal ('.') to separate digits in currencies and floating    }
{           point numbers.                                                     }
{                                                                              }
{       Comma-Delimited Text (CSV)                                             }
{         + Now uses the ListSeparator Value found in the Control Panel under  }
{           "Regional". This could be a ';' for instance in countries like     }
{           Germany as opposed to a regular ','. Although this now produces    }
{           Semi-Colon Delmited Text in those Countries, it is necessary to    }
{           avoid misinterpretation of numbers. This appears to be the correct }
{           approach in those situations as this is also what Excel does when  }
{           savin to CSV Text on German computers.                             }
{         + Fixed CSV to not put quotes around numbers.                        }
{                                                                              }
{       SYLK & DIF:                                                            }
{         + Removed those stupid "benign" exceptions that you would see in the }
{           IDE when trying to export to SYLK or DIF formats.                  }
{                                                                              }
{       Excel & SYLK:                                                          }
{         + Fixed Export Bug where a string value that looked like a  date,    }
{           time or number would be interpreted as a date or number instead of }
{           a string value. Although most people would not have come across    }
{           particular error - it can happen with part numbers and other data  }
{           that looks like dates but aren't really. (ie. Part#: 1-3-1992).    }
{         + Added TimeDisplaySeconds and Time24HourFormat options for control  }
{           over  the display of exported Time values to Excel and SYLK.       }
{         + Now handles Time and Date Formats properly for all International   }
{           Locales                                                            }
{         + Handles Currencies properly for all International Locales. If the  }
{           TField.Currency property is True then it will export that field    }
{           to Excel as a Currency value.                                      }
{                                                                              }
{       Excel:                                                                 }
{         + Now Saves in Native Excel v5 format.                               }
{         + TExportX now does not use any OLE Automation or other ActiveX      }
{           making exports to Excel much faster and eliminating the            }
{           possibility of errors resulting from improperly installed or       }
{           conflicting installations of Excel.                                }
{         + Fixed Excel Footer Bug. Excel's footer would appear around the     }
{           850th Row before. Now it is right after the last row as it should  }
{           be.                                                                }
{                                                                              }
{       Text, Clipboard & Printing:                                            }
{         + Now exports in a grid (table) layout, making the information       }
{           easier to read. Widths of columns can be controlled by the         }
{           ColWidths property.                                                }
{         + The old formats are still available with the DetailedMode Option.  }
{                                                                              }
{       Various:                                                               }
{         + Added a new "File Format Notes" section to the "readme.txt" file,  }
{          everyone should read this.                                          }
{         + Fixed up the Help file. Various minor mistakes were corrected.     }
{         + Progress.pas has been renamed XProgress.pas to avoid any possible  }
{           conflicts with other Progress units you might already have.        }
{         + Various minor improvements and bug fixes.                          }
{------------------------------------------------------------------------------}
unit ExportStringsReg;

interface

uses EC_TStrings;

const
  {$I CompConstants.inc} // Component Constants & Conditional Defines

procedure Register;

implementation

uses Classes;

procedure Register;
begin
  RegisterComponents(cExportTab, [TExportStrings]);
end;

end.
